Auth
POST /auth/guest
Create guest session
POST
/
auth
/
guest
cURL
curl --request POST \
--url https://consumer.fanfare.io/api/auth/guestconst options = {method: 'POST'};
fetch('https://consumer.fanfare.io/api/auth/guest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://consumer.fanfare.io/api/auth/guest"
response = requests.post(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://consumer.fanfare.io/api/auth/guest"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"accessToken": "<string>",
"beaconToken": "<string>",
"refreshToken": "<string>",
"refreshTokenTtlSeconds": 123,
"session": {
"consumerId": "<string>",
"expiresAt": "<string>",
"type": "guest",
"email": "<string>",
"phone": "<string>"
}
}{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}⌘I
cURL
curl --request POST \
--url https://consumer.fanfare.io/api/auth/guestconst options = {method: 'POST'};
fetch('https://consumer.fanfare.io/api/auth/guest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://consumer.fanfare.io/api/auth/guest"
response = requests.post(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://consumer.fanfare.io/api/auth/guest"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"accessToken": "<string>",
"beaconToken": "<string>",
"refreshToken": "<string>",
"refreshTokenTtlSeconds": 123,
"session": {
"consumerId": "<string>",
"expiresAt": "<string>",
"type": "guest",
"email": "<string>",
"phone": "<string>"
}
}{
"error": "validation_error",
"issues": [
{
"expected": "<string>",
"kind": "<string>",
"message": "<string>",
"path": [
{
"input": "<unknown>",
"key": "<string>",
"origin": "<string>",
"type": "<string>"
}
],
"received": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}